"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogCategory = exports.WebhookCondition = exports.ContractCondition = exports.RunStatus = exports.CHAIN_NAME = exports.LitChainIds = void 0;
var LitChainIds;
(function (LitChainIds) {
    LitChainIds[LitChainIds["ethereum"] = 1] = "ethereum";
    LitChainIds[LitChainIds["polygon"] = 137] = "polygon";
    LitChainIds[LitChainIds["fantom"] = 250] = "fantom";
    LitChainIds[LitChainIds["bsc"] = 56] = "bsc";
    LitChainIds[LitChainIds["arbitrum"] = 42161] = "arbitrum";
    LitChainIds[LitChainIds["avalanche"] = 43114] = "avalanche";
    LitChainIds[LitChainIds["fuji"] = 43113] = "fuji";
    LitChainIds[LitChainIds["harmony"] = 1666600000] = "harmony";
    LitChainIds[LitChainIds["mumbai"] = 80001] = "mumbai";
    LitChainIds[LitChainIds["goerli"] = 5] = "goerli";
    LitChainIds[LitChainIds["cronos"] = 25] = "cronos";
    LitChainIds[LitChainIds["optimism"] = 10] = "optimism";
    LitChainIds[LitChainIds["celo"] = 42220] = "celo";
    LitChainIds[LitChainIds["aurora"] = 1313161554] = "aurora";
    LitChainIds[LitChainIds["alfajores"] = 44787] = "alfajores";
    LitChainIds[LitChainIds["xdc"] = 50] = "xdc";
    LitChainIds[LitChainIds["evmos"] = 9001] = "evmos";
    LitChainIds[LitChainIds["evmosTestnet"] = 9000] = "evmosTestnet";
    LitChainIds[LitChainIds["hardhat"] = 31337] = "hardhat";
})(LitChainIds || (exports.LitChainIds = LitChainIds = {}));
var CHAIN_NAME;
(function (CHAIN_NAME) {
    CHAIN_NAME["ETHEREUM"] = "ethereum";
    CHAIN_NAME["POLYGON"] = "polygon";
    CHAIN_NAME["FANTOM"] = "fantom";
    CHAIN_NAME["BSC"] = "bsc";
    CHAIN_NAME["ARBITRUM"] = "arbitrum";
    CHAIN_NAME["AVALANCHE"] = "avalanche";
    CHAIN_NAME["FUJI"] = "fuji";
    CHAIN_NAME["HARMONY"] = "harmony";
    CHAIN_NAME["MUMBAI"] = "mumbai";
    CHAIN_NAME["GOERLI"] = "goerli";
    CHAIN_NAME["CRONOS"] = "cronos";
    CHAIN_NAME["OPTIMISM"] = "optimism";
    CHAIN_NAME["CELO"] = "celo";
    CHAIN_NAME["AURORA"] = "aurora";
    CHAIN_NAME["ALFAJORES"] = "alfajores";
    CHAIN_NAME["XDC"] = "xdc";
    CHAIN_NAME["EVMOS"] = "evmos";
    CHAIN_NAME["EVMOSTESTNET"] = "evmosTestnet";
    CHAIN_NAME["HARDHAT"] = "hardhat";
})(CHAIN_NAME || (exports.CHAIN_NAME = CHAIN_NAME = {}));
var RunStatus;
(function (RunStatus) {
    RunStatus[RunStatus["EXIT_RUN"] = 0] = "EXIT_RUN";
    RunStatus[RunStatus["ACTION_RUN"] = 1] = "ACTION_RUN";
    RunStatus[RunStatus["CONTINUE_RUN"] = 2] = "CONTINUE_RUN";
})(RunStatus || (exports.RunStatus = RunStatus = {}));
class ContractCondition {
    constructor(contractAddress, abi, chainId, providerURL, eventName, eventArgName, expectedValue, matchOperator, onMatched = async () => { }, onUnMatched = async () => { }, onError = () => { }) {
        this.contractAddress = contractAddress;
        this.abi = abi;
        this.chainId = chainId;
        this.providerURL = providerURL;
        this.eventName = eventName;
        this.eventArgName = eventArgName;
        this.expectedValue = expectedValue;
        this.matchOperator = matchOperator;
        this.onMatched = onMatched;
        this.onUnMatched = onUnMatched;
        this.onError = onError;
    }
}
exports.ContractCondition = ContractCondition;
class WebhookCondition {
    constructor(baseUrl, endpoint, responsePath, expectedValue, matchOperator, apiKey, onMatched = async () => { }, onUnMatched = async () => { }, onError = () => { }) {
        this.baseUrl = baseUrl;
        this.endpoint = endpoint;
        this.responsePath = responsePath;
        this.expectedValue = expectedValue;
        this.matchOperator = matchOperator;
        this.apiKey = apiKey;
        this.onMatched = onMatched;
        this.onUnMatched = onUnMatched;
        this.onError = onError;
    }
}
exports.WebhookCondition = WebhookCondition;
var LogCategory;
(function (LogCategory) {
    LogCategory[LogCategory["ERROR"] = 0] = "ERROR";
    LogCategory[LogCategory["RESPONSE"] = 1] = "RESPONSE";
    LogCategory[LogCategory["CONDITION"] = 2] = "CONDITION";
    LogCategory[LogCategory["BROADCAST"] = 3] = "BROADCAST";
    LogCategory[LogCategory["EXECUTION"] = 4] = "EXECUTION";
})(LogCategory || (exports.LogCategory = LogCategory = {}));
